<?php
	$uri = 'clientes_por_hora.php';	
	include_once($uri);
	//Tipo De Consulta (1,2,3....)
	if(isset($_GET['case']))
		$case = $_GET['case'];
	else
		$case = $_POST['case'];
	
	
	switch($case)
	{
		// Obtener Distritos. 		// Para este caso se utiliza GET
		case 1:	
			$parametros = array(
				"sucursales"=>$_GET['sucursales']				
			);	
		break;
		// Obtener las zonas 		// Para este caso se utiliza GET
		case 2:	
			$parametros = array(
				"distritos"=>$_GET['distritos']				
			);	
		break;
		// Para este caso se utiliza GET
		case 3:	
			$parametros = array(
				"fecha_desde"=>$_POST['fecha_desde'],
				"fecha_hasta"=>$_POST['fecha_hasta'],
				"localizaciones_jerarquicas"=>$_POST['localizaciones_jerarquicas'],
				"ultimo_nivel"=>1,
				"operadores_moviles"=>$_POST['operadores_moviles']				
			);	
		break;
	}
	$clientes_por_hora = new clientes_por_hora();	
	switch($case){
		case 1: 
			echo $clientes_por_hora->GetDistritosBySucursalID($parametros);			
			break;
		case 2: 
			echo $clientes_por_hora->GetZonasByDistritosID($parametros);			
			break;
		case 3: 
			echo $clientes_por_hora->GetClientesHora($parametros);			
			break;		
	}

?>